package com.qmth.sop.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.sop.business.bean.result.TBDeviceDeliveryResult;
import com.qmth.sop.business.entity.TBDeviceDelivery;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * <p>
 * 设备发货表 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2023-11-28
 */
public interface TBDeviceDeliveryMapper extends BaseMapper<TBDeviceDelivery> {

    /**
     * 设备发货管理列表
     *
     * @param iPage
     * @param serviceId
     * @param usageType
     * @param crmNo
     * @param status
     * @param deliverUserId
     * @param crmStartTime
     * @param crmEndTime
     * @param serialNo
     * @param supplierId
     * @param receiveStartTime
     * @param receiveEndTime
     * @param createId
     * @return
     */
    IPage<TBDeviceDeliveryResult> list(IPage<Map> iPage, @Param("serviceId") Long serviceId, @Param("usageType") String usageType, @Param("crmNo") String crmNo, @Param("status") String status, @Param("deliverUserId") Long deliverUserId, @Param("crmStartTime") Long crmStartTime, @Param("crmEndTime") Long crmEndTime, @Param("serialNo") String serialNo, @Param("supplierId") Long supplierId, @Param("receiveStartTime") Long receiveStartTime, @Param("receiveEndTime") Long receiveEndTime, @Param("createId") Long createId);
}
