package com.qmth.sop.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.sop.business.bean.params.DeviceDeliveryParam;
import com.qmth.sop.business.bean.result.TBDeviceDeliveryResult;
import com.qmth.sop.business.entity.TBDeviceDelivery;
import com.qmth.sop.common.enums.DeviceDeliveryStatusEnum;
import com.qmth.sop.common.enums.DeviceUsageTypeEnum;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.Map;

/**
 * <p>
 * 设备发货表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2023-11-28
 */
public interface TBDeviceDeliveryService extends IService<TBDeviceDelivery> {
    /**
     * 设备发货导入
     *
     * @param file excel文件
     * @throws IOException 异常
     */
    void deviceDeliveryImport(MultipartFile file) throws IOException;

    /**
     * 设备发货修改
     *
     * @param deviceDeliveryParam 设备发货修改参数
     */
    void editDeviceDelivery(DeviceDeliveryParam deviceDeliveryParam);

    /**
     * 设备发货管理列表
     *
     * @param iPage
     * @param serviceId
     * @param usageType
     * @param crmNo
     * @param status
     * @param deliverUserId
     * @param crmStartTime
     * @param crmEndTime
     * @param serialNo
     * @param supplierId
     * @param receiveStartTime
     * @param receiveEndTime
     * @return
     */
    IPage<TBDeviceDeliveryResult> list(IPage<Map> iPage, Long serviceId, DeviceUsageTypeEnum usageType, String crmNo, DeviceDeliveryStatusEnum status, Long deliverUserId, Long crmStartTime, Long crmEndTime, String serialNo, Long supplierId, Long receiveStartTime, Long receiveEndTime);
}
